diplot {POT} | R Documentation

## Threshold Selection: The Dispersion Index Plot

### Description

The Dispersion Index Plot

### Usage

    diplot(data, u.range, main, xlab, ylab, nt = max(200, nrow(data)),
    conf=0.95, ...)

### Arguments

`data` | A matrix with two column. The first one represents the date of events (in a numeric format) and the second the data associated with those dates.
`u.range` | A numeric vector of length two giving the limit of threshold analyzed. If missing, default values are taken.
`main` | The title of the plot.
`xlab,ylab` | Labels for the x and y axis.
`nt` | The number of thresholds at which the dispersion index plot is evaluated.
`conf` | The confident coefficient for the plotted confidence intervals.
`...` | Other arguments to be passed to the `plot` function.

### Details

According to the Extreme Value Theory, the number of exceedance over a high threshold in a fixed period - generally a year - must be distributed as Poisson process. As for a random variable Poisson distributed, the ratio of the variance and the mean is equal to 1, one can test if the ratio \code{DI} = var / mean differs from 1. Moreover, confidence levels for `DI` can be calculated by testing against a χ^2 distribution with `M`-1 degree of freedom, `M` being the total number of fixed periods -generally the total number of years in the sample. So, the Poisson hypothesis is not rejected if the estimated `DI` is within the range

[chi^2_{α/2, \code{M}-1} / ( \code{M} - 1 ), chi^2_{1 -α/2, \code{M}-1} / ( \code{M} - 1 ) ]

### Value

It returns invisibly a list with two components. The first one `'thresh'` gives the thresholds analyzed. The second `'DI'` gives the dispersion index relative to the threshold.

### Author(s)

Mathieu Ribatet

### References

Cunnane, C. (1979) Note on the poisson assumption in partial duration series model. Water Resource Research, 15(2) :489–494.

### Examples

    data(ardieres)
    ardieres <- clust(ardieres, 4, 10 / 365, clust.max = TRUE)
    diplot(ardieres)

[Package POT version 1.1-7 Index]